<div class="data-table" oncontextmenu="return false;" (click)="resetContextMenu()">
  <nz-table
    #basicTable
    [nzData]="items"
    [nzLoading]="loading"
    [nzFrontPagination]="false"
    [nzShowPagination]="items?.length < count"
    [nzTotal]="count"
    [nzPageSize]="pagination.pageSize"
    [(nzPageIndex)]="pagination.pageNumber"
    (nzPageIndexChange)="getInfo()"
    nzSize="small"  >
    <thead>
    <tr>
      <th scope="col" class="text-nowrap" nzWidth="80px">{{'selfService.table.stt' | translate}}</th>
      <th scope="col" class="text-nowrap">{{'selfService.workHisInformation.label.table.fromDate' | translate}}</th>
      <th scope="col" class="text-nowrap">{{'selfService.workHisInformation.label.table.empTypeName' | translate}}</th>
      <th scope="col" class="text-nowrap">{{'selfService.workHisInformation.label.table.documentTypeName' | translate}}</th>
      <th scope="col" class="text-nowrap">{{'selfService.workHisInformation.label.table.positionName' | translate}}</th>
      <th scope='col' class='text-nowrap'>{{'selfService.workHisInformation.label.table.positionGroup' | translate}}</th>
      <th scope="col" class="text-nowrap" nzWidth="250px">{{'selfService.workHisInformation.label.table.organizationName' | translate}}</th>
      <th scope="col" class="text-nowrap">{{'selfService.workHisInformation.label.table.positionLevel' | translate}}</th>
      <th scope="col" class="text-nowrap">{{'selfService.workHisInformation.label.attributes.documentNo' | translate}}</th>
      <th scope="col" class="text-nowrap">{{'selfService.workHisInformation.label.attributes.signedDate' | translate}}</th>
      <th scope="col" class="text-wrap" nzWidth="100px">{{'selfService.workHisInformation.label.attributes.planToDate1' | translate}}</th>
      <th scope="col" class="text-wrap" nzWidth="100px">{{'selfService.workHisInformation.label.attributes.planToDate2' | translate}}</th>
      <th scope="col" class="text-nowrap">{{'selfService.table.fileAttach' | translate}}</th>
    </tr>
    </thead>
    <tbody>
    <tr class="tr-for-class" *ngFor="let data of basicTable.data ;let i = index;"
        (contextmenu)="rightClickTable($event, data)">
      <td class="text-nowrap">{{validateService.getRowIndex(i, basicTable.nzPageIndex, basicTable.nzPageSize)}}</td>
      <td class="text-nowrap">{{ data?.fromDate }}</td>
      <td class="text-nowrap">{{ data?.empTypeName }}</td>
      <td class="text-nowrap">{{ data?.documentTypeName}}</td>
      <td class="text-nowrap">{{ data?.jobName}}</td>
      <td class="text-nowrap">{{ data?.pgrName}}</td>
      <td class="text-wrap">{{ data?.organizationName }}</td>
      <td class="text-nowrap">{{ data?.positionLevelName }}</td>
      <td class="text-nowrap">{{ data?.documentNo }}</td>
      <td class="text-nowrap">{{ data?.signedDate }}</td>
      <td class="text-nowrap">{{ data?.planToDate1 }}</td>
      <td class="text-nowrap">{{ data?.planToDate2 }}</td>
      <td class="text-nowrap">
        <div *ngFor="let file of data.listFileAttach">
          <a class="attach-file" (click)="doDownloadAttach(file); $event.stopPropagation();">{{file.fileName}}</a>
        </div>
      </td>
    </tr>
    </tbody>
  </nz-table>
</div>

<ng-template #footerTmpl>
  <mb-button mbButtonType="NO_BORDER" mbButtonSize="LARGE" (click)="modal.destroy()" mbButtonBgColor="transparent" mbButtonText="{{'common.button.cancel' | translate}}"></mb-button>
  <mb-button mbButtonType="NO_BORDER" mbButtonSize="LARGE" (click)="modal.getContentComponent().save()" mbButtonAvailableStyle="PRIMARY" mbButtonText="{{'common.button.save' | translate}}"></mb-button>
</ng-template>

